﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Statistics;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[]   xValueArray = DataGen.Range(-1.5, 1.5, 0.25);
            double[]   yValueArray = DataGen.Range(-1.5, 1.5, 0.25);
            Vector2[,] vectorArray = new Vector2[xValueArray.Length, yValueArray.Length];

            for(int i = 0; i < xValueArray.Length; i++)
            {
                for(int j = 0; j < yValueArray.Length; j++)
                {
                    double x      = xValueArray[i];
                    double y      = yValueArray[j];
                    double e      = Math.Exp(-x * x - y * y);
                    double deltaX = (1 - 2 * x * x) * e;
                    double deltaY = -2 * x * y * e;

                    vectorArray[i, j] = new Vector2(deltaX, deltaY);
                }
            }

            plot.AddVectorField(vectorArray, xValueArray, yValueArray, scaleFactor : 0.3);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}